cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement

## Class SDR_S31_Common

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.materialsmanagement.SDR_S31_Common

- Direct Known Subclasses:
    SDN_S36, SDR_S31

      public abstract class SDR_S31_Common
      extends Message

  SDR_S31 - Request Anti-Microbial Device Data (Event S31). This trigger event is sent by the placer application to the filler application to request anti-microbial device data created during the decontamination/sterilization of medical supplies.

  Represents a SDR_S31 message structure (see chapter 17.5.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: ANTI-MICROBIAL_DEVICE_DATA (a Group of segments in SDR_S31 message) MULTIPLE_COMPULSARY
  The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  SDR_S31 objS31 = (SDR_S31)MessageFactory.createInstance().createSendSupportedMessage("SDR", "S31");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAntiMicrobialDeviceDataGroup(IGroup objGroup)` Adds ANTI-MICROBIAL_DEVICE_DATA to this message.
    `void` | `addAntiMicrobialDeviceDataGroups(ISingleCollection<IGroup> objSingleCollection)` Adds Collection of ANTI-MICROBIAL_DEVICE_DATA to this message.
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds Software Segment(SFT) to this message.
    `ISingleCollection<IGroup>` | `getAntiMicrobialDeviceDataGroups()` Retrieves Collection of ANTI-MICROBIAL_DEVICE_DATA present in this message.
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves Collection of Software Segments(SFT) present in this message.
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential segment for this message,overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - Specified UAC Segment

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential segment for this message,overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getAntiMicrobialDeviceDataGroups

          public ISingleCollection<IGroup> getAntiMicrobialDeviceDataGroups()

      Retrieves Collection of ANTI-MICROBIAL_DEVICE_DATA present in this message.
      Returns:
        ISingleCollection - Collection of ANTI-MICROBIAL_DEVICE_DATA present in this Message.

    - #### addAntiMicrobialDeviceDataGroups

          public void addAntiMicrobialDeviceDataGroups(ISingleCollection<IGroup> objSingleCollection)

      Adds Collection of ANTI-MICROBIAL_DEVICE_DATA to this message.
      Parameters:
        `objSingleCollection` - - Specified ANTI-MICROBIAL_DEVICE_DATA Collection.

    - #### addAntiMicrobialDeviceDataGroup

          public void addAntiMicrobialDeviceDataGroup(IGroup objGroup)

      Adds ANTI-MICROBIAL_DEVICE_DATA to this message.
      Parameters:
        `objGroup` - Specified ANTI-MICROBIAL_DEVICE_DATA.